package cn.ibizlab.core.rule.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.rule.domain.ExecLog;
import cn.ibizlab.core.rule.filter.ExecLogSearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[ExecLog] 服务对象接口
 */
public interface IExecLogService extends IService<ExecLog> {

    boolean create(ExecLog et);
    void createBatch(List<ExecLog> list);
    boolean update(ExecLog et);
    void updateBatch(List<ExecLog> list);
    boolean remove(String key);
    void removeBatch(Collection<String> idList);
    ExecLog get(String key);
    ExecLog getDraft(ExecLog et);
    boolean checkKey(ExecLog et);
    boolean save(ExecLog et);
    void saveBatch(List<ExecLog> list);
    Page<ExecLog> searchDefault(ExecLogSearchContext context);
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


